ALTER TABLE RACUNI_KUPCEV
ADD ID_HASH VARCHAR2(50 CHAR);

UPDATE RACUNI_KUPCEV RK
SET RK.ID_HASH = ORA_HASH (RK.ID_RACUNA || SYSTIMESTAMP || SYS_GUID ())
WHERE RK.ID_HASH IS NULL;

UPDATE RACUNI_KUPCEV RK
SET RK.ID_HASH = (CASE WHEN LENGTH(RK.ID_HASH) < 50 THEN LPAD(RK.ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(RK.ID_HASH) END)       
WHERE LENGTH(RK.ID_HASH) < 50;

CREATE OR REPLACE
TRIGGER RACUNI_KUPCEV_ID_HASH_TRG
BEFORE INSERT
ON RACUNI_KUPCEV
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (RACUNI_KUPCEV_SEQ.CURRVAL || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1164, SYSDATE, '5.5', 1084, 'Racuni kupcev id hash')
;