CREATE TABLE SURVEY_DAYS (
SURVEY_DAYS_ID NUMBER NOT NULL,
DAY_FROM NUMBER NOT NULL,
DAY_TO NUMBER NOT NULL,
DESCRIPTION VARCHAR(100 CHAR),
INTERNAL_DESCRIPTION VARCHAR(100 CHAR),
ACT VARCHAR2(1 CHAR),
CONSTRAINT PK_SURVEY_DAYS PRIMARY KEY(SURVEY_DAYS_ID)
)
;

CREATE SEQUENCE SURVEY_DAYS_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE OR REPLACE VIEW V_SURVEY_DAYS AS
SELECT SURVEY_DAYS_ID, DESCRIPTION, INTERNAL_DESCRIPTION, DAY_FROM, DAY_TO FROM SURVEY_DAYS
;

CREATE TABLE SURVEY_SERVICES (
SURVEY_SERVICES_ID NUMBER NOT NULL,
SURVEY_DAYS_ID NUMBER NOT NULL,
SERVICE VARCHAR2(100 CHAR) NOT NULL,
CONSTRAINT PK_SURVEY_SERVICES PRIMARY KEY(SURVEY_SERVICES_ID)
)
;

CREATE SEQUENCE SURVEY_SERVICES_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE TABLE SURVEY_SEND (
SURVEY_SEND_ID NUMBER NOT NULL,
SURVEY_DAYS_ID NUMBER NOT NULL,
SURVEY_TYPE VARCHAR2(10 CHAR) NOT NULL,
SEND_ON_DAY NUMBER NOT NULL,
CONSTRAINT PK_SURVEY_SEND PRIMARY KEY(SURVEY_SEND_ID)
)
;

CREATE SEQUENCE SURVEY_SEND_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE TABLE SURVEY_EVENTS (
SURVEY_EVENTS_ID NUMBER NOT NULL,
SURVEY_DAYS_ID NUMBER,
SERVICE VARCHAR2(100 CHAR) NOT NULL,
OWNER_ID NUMBER NOT NULL,
RESERVATION_ID NUMBER,
DATE_FROM DATE,
DATE_TO DATE,
TOTAL_DAYS NUMBER,
USER_CREATE VARCHAR2(30 CHAR),
DATE_CREATE DATE,

CONSTRAINT PK_SURVEY_EVENTS PRIMARY KEY(SURVEY_EVENTS_ID)
)
;

CREATE SEQUENCE SURVEY_EVENTS_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE TABLE SURVEY_EVENT_DETAILS (
SURVEY_EVENT_DETAILS_ID NUMBER NOT NULL,
SURVEY_EVENTS_ID NUMBER NOT NULL,
SURVEY_TYPE VARCHAR2(10 CHAR) NOT NULL,
SENT_ON DATE,
SURVEY_LINK VARCHAR2(1000 CHAR),
CONSTRAINT PK_SURVEY_EVENT_DETAILS PRIMARY KEY(SURVEY_EVENT_DETAILS_ID)
)
;

CREATE SEQUENCE SURVEY_EVENT_DETAILS_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

DROP VIEW V_RACUN_LINES
;

ALTER TABLE S_DAVEK
ADD TAX_CODE VARCHAR2(100 CHAR)
;

CREATE OR REPLACE VIEW V_RACUN_LINES (ID_RACUN_DATA, ID_SALDKONT, ZAP_ST, KOLICINA, ENOTA, NETO, DAV_STOPNJA, ZNESEK, POPUST, OPIS, KOMENTAR, ID_DAVEK, TAX_CODE) 
AS 
SELECT RD.ID_RACUN_DATA, RD.ID_SALDKONT, RD.ZAP_ST, RD.KOLICINA, COALESCE(SS.ENOTA, SO.ID_ENOTA) AS ENOTA, RD.NETO, RD.DAV_STOPNJA, RD.ZNESEK, RD.POPUST, COALESCE(SS.OPIS, SO.OPIS) AS OPIS, RD.KOMENTAR, RD.ID_DAVEK, SD.TAX_CODE
FROM RACUN_DATA RD
LEFT OUTER JOIN M_STORITVE MS ON RD.ID_STORITVE=MS.ID_STORITVE
LEFT OUTER JOIN M_NNSTOMAR SS ON MS.STORITEV=SS.SIFRA
LEFT OUTER JOIN S_OBRACUN SO ON RD.ID_OBRACUN=SO.ID_OBRACUN
LEFT OUTER JOIN S_DAVEK SD ON RD.ID_DAVEK=SD.ID_DAVEK
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1650, SYSDATE, '5.5', 1570, 'Survey and FiscMne')
;